*********************
* Start
*********************
clear

set mem 20m
cd u:\einfuehrung


***********************
* Daten importieren
***********************

use data
save work, replace


***********************
* Daten bearbeiten
***********************


sum wage
sum wage if wage > 0

tab sample

sum wage if wage > 0 & sample < 15
sum wage if wage > 0 & sample == 15

drop if sample == 15

gen logwage=log(wage)

hist logwage

kdensity logwage


gen age=2004-birth

gen zusammen=0
replace zusammen=1 if fstat==1

gen teilzeit=0
replace teilzeit=1 if lmstat==2

sum sex age edu zusammen teilzeit

gen age2=age^2


***********************
* Lineare Regression
***********************

reg logwage sex age age2 edu zusammen teilzeit

test teilzeit+sex=0


***********************
* Daten speichern
***********************

save work, replace

